#ifndef _INT_PRIV_H
#define _INT_PRIV_H

#include "interface.h"

#define SONARWINSIZE 200

// These macros break up numbers into bytes for communication through the
// serial port.
#define LOWBYTESIGNED(num) ((unsigned char) (INTABS(num) & 0xff))
#define SECONDBYTESIGNED(num) ((unsigned char) (((num)>=0)?(((num)>>8) & 0xff):((((-(num))>>8) & 0xff) | 0x80)))
#define LOWBYTEUNSIGNED(num) ((unsigned char) ((num) & 0xff))
#define SECONDBYTEUNSIGNED(num) ((unsigned char) (((num) >> 8) & 0xff))
int TWOBYTESTOINT(unsigned char low, unsigned char high);

int n2rn(char *out, char *in);
int rn2n(char *out, char *in);
void Append2Packet(char *buf, int *ptr, char c);
int RobotCommand(char *buf, int buflen, int timeout);
int SendPackage(char *buf, int buflen);
int SendByte(char c);
int ReadPackage(char pktbuf[], int initialTimeout, int auxTimeout);
void ProcessResponse(char pktbuf[], SensorType *sensorbuf);
int ReadByte(char *ptr);
int UpdateSonarWindow(SensorType *sensorbuf);
int UpdateKeybdWindow(int tv, int rv);
char *SkipLine(char *str); 
void HideKeybd();
void UnhideKeybd();

#endif
	
